JBoss API: Class StatelessSessionInstancePool

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins
Class StatelessSessionInstancePool

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.AbstractInstancePool
            |
            +--org.jboss.ejb.plugins.StatelessSessionInstancePool

All Implemented Interfaces:
  ContainerPlugin, InstancePool, Service, XmlLoadable

public class StatelessSessionInstancePool
extends AbstractInstancePool

Version:
  $Revision: 1.4.6.4 $

  Revisions:

  20010718 andreas schaefer:

  - - Added Statistics Gathering

  20010920 Sacha Labourey:

  - - Activate pooling for SLSB
Author:
  Rickard Öberg, Andreas Schaefer, Sacha Labourey
See Also:

Fields inherited from class org.jboss.ejb.plugins.AbstractInstancePool
`container, log, maxSize, pool, poolFeeder, reclaim`

Constructor Summary
`StatelessSessionInstancePool()`

Method Summary
`protected EnterpriseContext` | `create(java.lang.Object instance)`
`void` | `init()`

Methods inherited from class org.jboss.ejb.plugins.AbstractInstancePool
`add, destroy, discard, free, get, getContainer, getCurrentSize, getMaxSize, getReclaim, importXml, setContainer, setReclaim, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatelessSessionInstancePool

    public StatelessSessionInstancePool()

Method Detail

### init

    public void init()
              throws java.lang.Exception

  Overrides:
    `init` in class `AbstractInstancePool`

### create

    protected EnterpriseContext create(java.lang.Object instance)
                                throws java.lang.Exception

  Overrides:
    `create` in class `AbstractInstancePool`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.